Should upgrade to Babel 7?

This issue has been tracked since 2018-10-21.

Since version 7 of the Babel is out, should we consider upgrading this project to it?

If the maintainer is okay with this I would like to work on this upgrade.

jasonslyvia wrote this answer on 2018-10-22

just make sure nothing will break for the new generated code by Babel 7 I'm okay with the change

iAziz786 wrote this answer on 2018-10-22

Okay, I'll start working on the upgrade.

Indeed I don't want to make any breaking changes, that is why can I get some help on testing?

jasonslyvia wrote this answer on 2018-10-25

I guess bottom line is all tests get passed

iAziz786 wrote this answer on 2018-10-25

I have started to implement the changes. Due to upgradation, I had to make some changes to the karma.config.js file.

I hope that's fine?

jasonslyvia wrote this answer on 2018-10-25

yeah, that's fine

More Details About Repo
Owner Name twobin
Repo Name react-lazyload
Full Name twobin/react-lazyload
Language JavaScript
Created Date 2015-08-07
Updated Date 2022-11-29
Star Count 5639
Watcher Count 52
Fork Count 482
Issue Count 153

YOU MAY BE INTERESTED

Issue Title Created Date Updated Date